Ubuntu

Unity 5.8: Login to blank screen (all black or just wallpaper)

Reported by Christopher Kyle Horton on 2012-03-24
578
This bug affects 110 people
Affects Status Importance Assigned to Milestone
Compiz
Won't Fix
Medium
Compiz Core
Critical
Alan Griffiths
Unity Distro Priority
Critical
Unassigned
compiz (Ubuntu)
Undecided
Daniel van Vugt
Precise
Undecided
Daniel van Vugt
unity (Ubuntu)
Critical
Unassigned
Precise
Critical
Unassigned

Bug Description

WORKAROUND/FIX:
unity --reset

TEST CASE:
Edit ~/.gconf/apps/compiz-1/general/screen0/options/%gconf.xml and add an entry AFTER composite and BEFORE opengl for a dummy plugin name that does not exist. Log out and in again.

ORIGINAL DESCRIPTION:
After the update earlier today to Unity 5.8, I've found that when I try logging into Unity 3D, all I get is a solid black screen and my mouse cursor. I know it loaded some sort of desktop though, since I could still hit Ctrl+Alt+T and blindly type `sudo reboot` followed by my password to make my computer do a normal reboot.

I do not get the same problem with GNOME Shell or Unity 2D (the latter of which I'm using now to report this bug), although for both the screen does temporarily turn black but only for a moment. Unity 5.6 3D used to work perfectly fine for me.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: unity 5.8.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-20.32-generic 3.2.12
Uname: Linux 3.2.0-20-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 1.95-0ubuntu1
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,imgpng,move,vpswitch,mousepoll,resize,snap,wall,grid,place,gnomecompat,regex,session,animation,expo,workarounds,fade,ezoom,scale,unityshell]
CompositorRunning: None
Date: Fri Mar 23 22:47:44 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20111129.1)
MachineType: Gigabyte Technology Co., Ltd. M61PME-S2P
ProcEnviron:
 TERM=xterm
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-20-generic root=UUID=2d55fd3e-d932-47b9-abd6-a1fde1ec0453 ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/03/2009
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F6
dmi.board.name: M61PME-S2P
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF6:bd11/03/2009:svnGigabyteTechnologyCo.,Ltd.:pnM61PME-S2P:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnM61PME-S2P:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: M61PME-S2P
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
version.compiz: compiz 1:0.9.7.2-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

.Compiz v9.0 problem on radeon.

I am using radeon r600g with latest 7.10 git mesa on OpenSuSE 11.3
Also using latest xf86-video-ati driver from git and compiled for myself...
Have linux 2.6.36 vanilla kernel compiled by myself...

I install compiz v9.0 from opensuse's 11.3 repo. After installation I run compiz via "compiz-manager" command than something happen.

I can see background picture. But there is no windows on it. Nothing visible but mouse cursor. Actually when you move mouse, it changes shape at corners of windows. Actually you can resize and move windows but they are just invisible.. I checked compiz output but there is nothing wrong.

After some search I find some errors on my Xorg.0.log. There is multiple lines of this error:

(EE) RADEON(0): [DRI2] DRI2SwapBuffers: bad drawable

So something wrong but don't know what is it actually. I tried with r600 DRI drivers and have same result. It's not related with 3D stack or r600g I think.

Just let you know about the problem...
Thanks.

Please attach the full Xorg.0.log file and output from compiz. Also, please provide the checked out commit hashes of all Git repositories involved.

You may remove the NEEDINFO keyword after you've provided at least the information above.

Created attachment 39845
[DRI2] DRI2SwapBuffers: bad drawable

Xorg.0.log has [DRI2] DRI2SwapBuffers: bad drawable errors accurs only when I run compiz v9.0.

You haven't provided all the requested information yet. (BTW, the glxinfo output might be interesting as well)

Created attachment 39981
compiz-manager stdout

captured with
compiz-manager > compiz-manager.log

Created attachment 39982
stderr log of compiz amanger

compiz-manager 2&> compiz-manager-err.log

Created attachment 39983
glxinfo output

And here glxinfo output.
Watch for 3.rd line.
EE r600_pipe.c/r600_get_param:305 - r600: unknown param 31

I am using 790GX MB GPU, r600 compatible onboard gpu.(I disable the sideband memory and working only with UMA.)

From compiz-manager error log, it annoying about 2 missing libraries. One of it is looks important, "libcore", but as think this library renamed as libccp at compiz v0.9... I also placed a bug report to OpenSUSE
https://bugzilla.novell.com/show_bug.cgi?GoAheadAndLogIn=1&id=642988

I don't know exactly where is the problem. Programs annoys from libraries but it "looks like working" but it cannot paste textures to screen.
I try to look deeper. Thanks.

(In reply to comment #6)
> From compiz-manager error log, it annoying about 2 missing libraries. One of it
> is looks important, "libcore", but as think this library renamed as libccp at
> compiz v0.9... I also placed a bug report to OpenSUSE
> https://bugzilla.novell.com/show_bug.cgi?GoAheadAndLogIn=1&id=642988

This really looks like a compiz(-manager) issue. Feel free to reopen this report with new evidence against the drivers, e.g. the Mesa demo xdemos/texture_from_pixmap or other OpenGL compositing managers such as kwin or gnome-shell/mutter not working.

(In reply to comment #7)
> (In reply to comment #6)
> > From compiz-manager error log, it annoying about 2 missing libraries. One of it
> > is looks important, "libcore", but as think this library renamed as libccp at
> > compiz v0.9... I also placed a bug report to OpenSUSE
> > https://bugzilla.novell.com/show_bug.cgi?GoAheadAndLogIn=1&id=642988
>
> This really looks like a compiz(-manager) issue. Feel free to reopen this
> report with new evidence against the drivers, e.g. the Mesa demo
> xdemos/texture_from_pixmap or other OpenGL compositing managers such as kwin or
> gnome-shell/mutter not working.

Yes looks like but I "guess" its not. I compiled compiz from repo by hand and it doesn't create such a library (libcore.so). I don't know why it looking for this library... anyway.

From Xorg error, "(EE) RADEON(0): [DRI2] DRI2SwapBuffers: bad drawable", I guess it just cannot draw required textures to screen. Because at window corners mouse changes it's shape. Just windows cannot drawn to screen...

I changed the status to "closed, notourbug". I will watch latest git repos and will report if it fixed.

Thanks...

Watching improvements on it and found that newer errorlines:
I updated to compiz 0.9.2 from same repo, also updating latest drivers from mesa and ati. I am suspecting this error is related with about xf86-video-ati, not mesa...

"[DRI2] DRI2GetMSC: bad drawable" error messages on Xorg.0.log

Actually there is much of error lines repeating it self for pages...

[ 1382.702] (EE) RADEON(0): [DRI2] DRI2GetMSC: bad drawable
[ 1382.702] (EE) RADEON(0): [DRI2] DRI2SwapBuffers: bad drawable
[ 1382.730] (EE) RADEON(0): [DRI2] DRI2GetMSC: bad drawable
[ 1382.732] (EE) RADEON(0): [DRI2] DRI2SwapBuffers: bad drawable
[ 1382.736] (EE) RADEON(0): [DRI2] DRI2GetMSC: bad drawable
[ 1382.738] (EE) RADEON(0): [DRI2] DRI2SwapBuffers: bad drawable
[ 1382.753] (EE) RADEON(0): [DRI2] DRI2GetMSC: bad drawable
[ 1382.753] (EE) RADEON(0): [DRI2] DRI2SwapBuffers: bad drawable
[ 1382.764] (EE) RADEON(0): [DRI2] DRI2GetMSC: bad drawable
[ 1382.764] (EE) RADEON(0): [DRI2] DRI2SwapBuffers: bad drawable

Last one more thing, I also tried ATI Radeon 6850 with fglrx, it could show compiz 0.9.2 splash for a second on same machine. Than X restarts itself. Don't investigate why yet. Might be it's due 6850 not supported by fglrx officially yet.
Thanks

Actually, this sounds like bug 962601 which happened with Unity 5.6.

summary: - Entire screen stays solid black except the mouse cursor when logged into
- Unity 3D, but can still "use" the desktop
+ Unity 5.8: Entire screen stays solid black except the mouse cursor when
+ logged into Unity 3D, but can still "use" the desktop
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed

I have resolved my issue, or at least the aftermath of whatever the real issue was.

After talking to someone who ran into a similar issue with fglrx in IRC (I use Nouveau), he suggested doing a unity --replace while logged into Unity with a terminal open. I did that, and got my wallpaper back at least. Then I had the idea of running unity --reset, and that finally brought back Unity 3D in full. I have logged out/logged back in, and also done a full reboot, and didn't have the problem occur again.

I can't recall tweaking any settings via, say, CCSM or anything prior to the upgrade however, so maybe the real problem was that some setting(s) got messed up between versions?

Just ran into a similar issue on my laptop, which is a Toshiba Satellite A505-S6960 running Intel graphics. In that case, I at least got a wallpaper and mouse cursor, but still no visible windows until I did a unity --replace. That brought up a visible terminal window without decorations and stuck in the upper-left corner, and produced a crash (Bug #932125). Since I couldn't get past Firefox back to my terminal, I did a Ctrl+Alt+F1, logged into a tty and ran unity --reset there, which also fixed the issue on my laptop.

From what I've seen on my machines and from what I've heard in IRC, this issue is graphics-independent.

summary: - Unity 5.8: Entire screen stays solid black except the mouse cursor when
- logged into Unity 3D, but can still "use" the desktop
+ Unity 5.8: Login to blank screen (all black or just wallpaper)
Cedric (cedric-brandenbourger) wrote :

same problem here

Same here

Daniel Told (daniel-told) wrote :

Hi all,
I the same issue, but running unity --replace or --reset does not fix the problem for me. Sometimes these commands don't do anything as compiz appears to have crashed. If I do compiz --replace, I can run unity --replace and --reset, and I do get something displayed (e.g. a terminal without decoration at the top left), but nothing more. After reboot it's all gone again and I get just the wallpaper.

Evan Huus (eapache) wrote :

This is probably a duplicate of bug #963465. I tracked that down to the multi-touch grab handles, and I believe unity --reset does disable that unless it finds a touch-capable screen? Daniel, if you have a touch-screen or wacom or something that may be why resetting isn't working for you?

Daniel Told (daniel-told) wrote :

Hi Evan,
I don't have a touch screen/wacom, just your average four-year-old laptop touchpad. I just checked (from unity2d) in ccsm and saw that the MT grab handles are disabled. I also reverted all settings in the unity plugin (autohide, backlight, icon size) to their defaults, but I still get the same problem upon login.
I also tried to log in to a guest account with Unity3d; that works just fine. I'll fiddle around a bit and see if I can find out anything else.

assassini (assassini) wrote :

I had the same issue. unity --reset and logging back in seems to have fixed it.

Changed in unity (Ubuntu):
importance: Undecided → Critical
Changed in unity (Ubuntu Precise):
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
milestone: none → ubuntu-12.04-beta-2
tags: added: qa-manual-testing rls-mgr-p-tracking
Changed in unity:
status: New → Confirmed
milestone: none → 5.10.0
importance: Undecided → Critical
JP Vossen (jp-jpsdomain) wrote :

unity --reset and logging back in seems to have fixed it for me as well, though the process did "scary" things to the desktop and on the terminal where I ran it which adds a bit more newbie unfriendlyness to the whole issue.

Having said that, I don't think 3d ever worked on this machine before and the user feedback in 3d is *much* better than in 2d, so that's a great improvement, even with this issue.

iMac (imac-netstatz) wrote :

@Daniel Told, running --reset might be influenced by DISPLAY if you are using a new console (CTL-ALT-F1) so you can see what you are typing (vs CTL-ALT-T method)

My specific steps to resolve were as follows
a) Login with [username] and get *stuck* on blank screen
b) CTL-ALT-F1
c) Logged in as root user
d) #su - [username]
e) $export DISPLAY=:0.0
f) $unity --reset

Noting I could have skipped b+c if I had logged in as my normal user, and many won't have a root pw defined, this should work too
a) Login with [username] and get *stuck* on blank screen
b) CTL-ALT-F1
c) Logged in as [username]
d) $export DISPLAY=:0.0
e) $unity --reset

I have another environment not upgraded, I'll pin back so I can test the fix when it is resolved

Seunghyuk Choi (cshyuk) on 2012-03-25
Changed in unity (Ubuntu Precise):
assignee: Canonical Desktop Experience Team (canonical-dx-team) → Seunghyuk Choi (cshyuk)
assignee: Seunghyuk Choi (cshyuk) → nobody
assignee: nobody → Seunghyuk Choi (cshyuk)

@Seunghyuk Choi, please assign a bug report to yourself only if you're actively working on fixing it.

Changed in unity (Ubuntu Precise):
assignee: Seunghyuk Choi (cshyuk) → Canonical Desktop Experience Team (canonical-dx-team)
Seunghyuk Choi (cshyuk) wrote :

While I tried resetting unity, my compiz setting are totally crashed again as it happened in 11.10.
So I reinstall today's daili build without removing home partition, then it works fine now.

Now that I know what happened to my bug report from yesterday.. I was reading the comments here and noticed that
there was mention of touchscreen which I do not have and I remembered that apport stated that there was a a possibly a problem with my with my GPU which I am in doubt. I wonder if this attached report could help.

Is there anything that I could do like obtain debug reports from my machine?

Changed in unity:
assignee: nobody → Daniel van Vugt (vanvugt)
Daniel van Vugt (vanvugt) wrote :

All, when this happens next, could you please do this (while the desktop is hung!):
1. Switch to a virtual terminal (CTrl+Alt+F1) and log in.
2. cp .xsession-errors my-xsession-errors
3. sudo restart lightdm
4. Log in to whichever session still works for you (Unity/Unity2D/Gnome)
5. Attach the file "my-xsession-errors" from your home directory to this bug.

Changed in unity:
status: Confirmed → In Progress
Andrew (andrewkk) wrote :

I logged in to an "Ubuntu" session and only the wallpaper and mouse pointer were visible. I pressed Ctrl+Alt+Space to open GNOME Terminal, but nothing appeared. When I moved the pointer across the screen, it reacted as if the terminal window with resize borders was open but invisible.

Didier Roche (didrocks) on 2012-03-26
Changed in unity-distro-priority:
status: New → Fix Committed
importance: Undecided → Critical
Arnd (arnd-arndnet) wrote :

I cleared .xession-log, restarted lightdm and tried to open session.
Session shows only background with movable mouse cursor.
Resulting error log is attached.

Sven Romeike (lun4tic) wrote :

same here and its definately not a Displaymanager problem as i tested it with GDM and not a driver issue as i can still log into Gnome3 with effects

Omer Akram (om26er) on 2012-03-26
Changed in unity (Ubuntu Precise):
assignee: Canonical Desktop Experience Team (canonical-dx-team) → Daniel van Vugt (vanvugt)
tags: added: rls-p-tracking
removed: rls-mgr-p-tracking
Daniel Told (daniel-told) wrote :

Thanks for the DISPLAY variable hint! It doesn't fully solve my problem though, as whenever I then run unity --reset, it complains that the unity-panel-service is not running (can I start that manually somehow?). However, that does get me a desktop which responds to a right-click, and when I open a terminal via ctrl-alt-t, I can actually see it and it responds normally, except that the unity launcher and panel are missing.

Daniel Told (daniel-told) wrote :

Oh, never mind my last post... I just checked ccsm and found that (for whatever reason) the unity plugin was now switched off. With that turned on I do finally get the unity stuff back, and I could even log out and back in. Don't ask me why my last 50 attempts to do unity --reset (even blindly from the desktop itself) didn't solve the problem, but it appears to be fixed for now. Thanks a lot for all the helpful comments!

Ivan Ivanov (suricactus) wrote :

So did you find solution to this bug?

Ivan Serra (ivanserra) wrote :

i have another problem now fixed the black screen but when i type 2 keys my keyboard stop to write
somebody has the same problem?

Ivan Serra (ivanserra) wrote :

i mean 2 same keys..If I press 2 times the same characters (e.s 2 time the backspace button quicly the keyboard stop to write)

a copy of my xsession log too

pablomme (pablomme) wrote :

A compiz 1:0.9.7.2-0ubuntu3 package has appeared in precise-proposed whose changelog mentions this bug.

(Shouldn't this have been advertised here automatically? I always enable -proposed out of habit, but other people won't be able to test this update unless they are told it exists.)

Matthieu Baerts (matttbe) wrote :

With compiz 1:0.9.7.2-0ubuntu3, it seems I no longer have this bug if I disable the Crash Handler plugin (or if I'm using the default options because this version of Compiz has reset my settings)

Diane Trout (diane-trout) wrote :

I also had this bug on a thinkpad x220 i7 sandy bridge tablet with integated intel graphics after doing an upgrade from 10.10 to 12.04 beta today Mar 26.

I ran "DISPLAY=:0.0 unity --reset" from vt2 and after a bunch of messages unity 3d started up correctly and continued to work after a relog.

Though in addition to warning messages there was a segfault when I ran --reset.

Compiz: 1:09.7.2-0ubuntu1
Unity: 5.8.0-0ubuntu2

(some successful messages)
...
Setting update "run_key"

(compiz:8770) GLib-CRITICAL **: g_source remove: assertion `tag > 0 ' failed

(compiz:8770) GLib-CRITICAL **: g_source remove: assertion `tag > 0 ' failed

(compiz:8770) GLib-CRITICAL **: g_source remove: assertion `tag > 0 ' failed
Segmentation Fault
$

Hanine HAMZIOUI (hanynowsky) wrote :

Same problem here.

Precise running on:
- AMD64
- Intel HD 3000 graphics

Got it solved resetting compiz and unity (unity --reset)
- Logging back to Unity 2D (disabling auto-hide behavior of Launcher) and rebooting.
- unity --reset again

In a multi monitor environment, resetting unity won't fix it untill you unplug the external monitor from laptop and redo the procedure!

I recall the bug appeared just after applying the latest UNITY 2D updates.

Nathaniel W. Turner (nturner) wrote :

Just started happening to me with latest update.

compiz:
  Installed: 1:0.9.7.2-0ubuntu4
  Candidate: 1:0.9.7.2-0ubuntu4

unity:
  Installed: 5.8.0-0ubuntu2
  Candidate: 5.8.0-0ubuntu2

Alex Mayorga (alex-mayorga) wrote :

Bitten by this bugger too, attaching my-xsession-errors FWIW

Daniel Told (daniel-told) wrote :

The latest compiz update today disabled my unity plugin again, but at least left me with a working desktop, so I could just call ccsm and enable it again. I also got a load of "system problem detected" messages afterwards, but nothing seems really broken right now.

description: updated
Changed in compiz:
importance: Unknown → Medium
status: Unknown → Won't Fix

I had the same problem two week ago.
I think it's related to the key shortcuts unity chooses, disabling the shortcuts solves the problem for me:

1 --> Switch to a virtual terminal (CTrl+Alt+F1) and log in.
2 --> type "DISPLAY=:0.0 ccsm"
3 --> Switch to ccsm (CTrl+Alt+F7 probably)
4 --> Disable the key shortcuts: "Key to execute a command", "Key to open the first panel menu" and others (see explanation in next extep).
5 --> Check "Enable Ubuntu Unity Plugin". If another hotkey is in conflict, a popup shows, read it and disble the correspondig hotkey.
5 --> Switch to a virtual terminal (CTrl+Alt+F1)
6 --> Restart lightdm typing "sudo service lightdm restart", choose unity 3D and check if it is working.

Hope it helps.

(I don have access to my ubuntu pc, I don't recall all the plugins that need to be disbled in order to get unity to work and some steps may be wrong, I will update this asap).

Excuse me for my english ;-)

Sven Romeike (lun4tic) wrote :

The Shortcuts seemed to be working so I started a Terminal with STRG+ALT+T and typed in "compiz --reset" and "unity --reset" and then reloged.

Now everything is back to normal. However these needed reset steps should be done automatically during package install imo.
When the final version of ubuntu is out and people still experience these issues which can only be solved by typing in a terminal they probably will like ubuntu less when they are non-techi users...

affects: unity → compiz-core
Changed in compiz-core:
milestone: 5.10.0 → none
milestone: none → 0.9.7.4
Changed in compiz (Ubuntu Precise):
status: New → Incomplete
status: Incomplete → Confirmed
Changed in unity (Ubuntu Precise):
status: Confirmed → Invalid
assignee: Daniel van Vugt (vanvugt) → nobody
Changed in compiz (Ubuntu Precise):
assignee: nobody → Daniel van Vugt (vanvugt)
abma (abma) wrote :

i only have screen-flickers and this two messages spammed into Xorg.0.log:

[ 2083.214] (EE) RADEON(0): [DRI2] DRI2SwapInterval: bad drawable
[ 2083.214] (EE) RADEON(0): [DRI2] DRI2SwapBuffers: bad drawable

after running unity --reset, everything works fine!

Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz-core at revision 3075

Changed in compiz-core:
assignee: Daniel van Vugt (vanvugt) → Alan Griffiths (alan-griffiths)
Changed in compiz (Ubuntu Precise):
assignee: Daniel van Vugt (vanvugt) → nobody
Changed in compiz-core:
status: In Progress → Fix Committed
Changed in compiz (Ubuntu Precise):
assignee: nobody → Daniel van Vugt (vanvugt)
status: Confirmed → In Progress
Didier Roche (didrocks) on 2012-03-30
Changed in compiz (Ubuntu Precise):
status: In Progress → Fix Committed
Daniel van Vugt (vanvugt) wrote :

Fix released in Compiz Core 0.9.7.4

Changed in compiz-core:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.7.4-0ubuntu1

---------------
compiz (1:0.9.7.4-0ubuntu1) precise; urgency=low

  * New upstream release
    - compiz crashed with SIGSEGV in CompositeScreen::compositingActive()
    - Window management - Closing one window sends others to the
      background (LP: #888704)
    - [regression] Invisible resize border is now only 1px wide (LP: #953839)
    - Coverity REVERSE_INULL - CID 10888 (LP: #957572)
    - Unity dash opens and immediately closes if you tap Super+A
      quickly (LP: #960831)
    - Unity 5.8: Flickering and corruption on Unity UI elements (LP: #963093)
    - Unity 5.8: Can't login to Unity since upgrade to 5.8 (LP: #963465)
    - [regression] Unity 5.8+Compiz 0.9.7.2: Pressing Super+Tab or
      Super+W works, but unity does not respond to when Super is
      released. (LP: #963470)
    - Unity 5.8: Login to blank screen (all black or just wallpaper)
      (LP: #963633)
    - Tests do not build when libgtest-dev is installed but libgtest
      isn't (LP: #964248)
    - Note that this fix is REMOVED for stability reasons:
       Unity/compiz intercepts Super and Alt keypresses from grabbed
       windows like VMs. (806255)
  * debian/patches/ubuntu-config.patch:
    - tweak slightly the shadow border for both active/inactive windows.
    - change the shortcuts as per design request: (LP: #969235)
      Ctrl + Super + D Minimises all windows
      Ctrl + Super + Cursor up Maximises the current window
      Ctrl + Super + Cursor down Restores or minimises current window
  * debian/rules, debian/compiz-gnome.gconf-defaults:
    - move the default for the unity-less default profile from DEFAULT_PLUGINS
      list as it seems compiz tries to load that list, then ccp, then the
      profile list.
    - put the active_plugins list back to the Default profile in gconf then.
  * debian/control:
    - set Standards-Version to latest
  * remove debian/patches/always_replace.patch,
    debian/patches/exit_1_if_composite_cant_init.patch,
    debian/patches/reset_active_plugin_list.patch,
    debian/reset-compiz-gconf, debian/compiz-gnome.install:
    - the 3 bad hacks are now not necessary anymore (LP: #963264)
  * remove as now in upstream tarball:
    - debian/patches/fix_953839.patch
    - debian/patches/revert_lim.patch
    - debian/patches/fix_953089_2.patch
    - debian/patches/fix_960831.patch
 -- Didier Roche <email address hidden> Tue, 03 Apr 2012 15:43:16 +0200

Changed in compiz (Ubuntu Precise):
status: Fix Committed → Fix Released
Pavlo Bohmat (bohm) wrote :

compiz_:0.9.7.4-0ubuntu1 a bug in place, need unity or compiz --replace...

JP Vossen (jp-jpsdomain) wrote :

For what it's worth, this does seem to be fixed for me. The last several updates and reboots have Just Worked, with no need to do anything special. Thanks!

Download full text (4.4 KiB)

  Unfortunately, I am still having issues. When I boot into 3D, an error
message appears saying that it can't find the task panel, and an exit
button. No task panel, no launcher, even the shortcut keys fail to work.

On Thu, Apr 5, 2012 at 2:04 PM, JP Vossen <email address hidden> wrote:

> For what it's worth, this does seem to be fixed for me. The last
> several updates and reboots have Just Worked, with no need to do
> anything special. Thanks!
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (969289).
> https://bugs.launchpad.net/bugs/963633
>
> Title:
> Unity 5.8: Login to blank screen (all black or just wallpaper)
>
> Status in Compiz:
> Won't Fix
> Status in Compiz Core:
> Fix Released
> Status in Unity Distro Priority:
> Fix Committed
> Status in “compiz” package in Ubuntu:
> Fix Released
> Status in “unity” package in Ubuntu:
> Invalid
> Status in “compiz” source package in Precise:
> Fix Released
> Status in “unity” source package in Precise:
> Invalid
>
> Bug description:
> WORKAROUND/FIX:
> unity --reset
>
> TEST CASE:
> Edit ~/.gconf/apps/compiz-1/general/screen0/options/%gconf.xml and add an
> entry AFTER composite and BEFORE opengl for a dummy plugin name that does
> not exist. Log out and in again.
>
> ORIGINAL DESCRIPTION:
> After the update earlier today to Unity 5.8, I've found that when I try
> logging into Unity 3D, all I get is a solid black screen and my mouse
> cursor. I know it loaded some sort of desktop though, since I could still
> hit Ctrl+Alt+T and blindly type `sudo reboot` followed by my password to
> make my computer do a normal reboot.
>
> I do not get the same problem with GNOME Shell or Unity 2D (the latter
> of which I'm using now to report this bug), although for both the
> screen does temporarily turn black but only for a moment. Unity 5.6 3D
> used to work perfectly fine for me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: unity 5.8.0-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-20.32-generic 3.2.12
> Uname: Linux 3.2.0-20-generic x86_64
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.95-0ubuntu1
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,compiztoolbox,decor,imgpng,move,vpswitch,mousepoll,resize,snap,wall,grid,place,gnomecompat,regex,session,animation,expo,workarounds,fade,ezoom,scale,unityshell]
> CompositorRunning: None
> Date: Fri Mar 23 22:47:44 2012
> DistUpgraded: Fresh install
> DistroCodename: precise
> DistroVariant: ubuntu
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64
> (20111129.1)
> MachineType: Gigabyte Technology Co., Ltd. M61PME-S2P
> ProcEnviron:
> TERM=xterm
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-20-generic
> root=UUID=2d55fd3e-d932-47b9-abd6-a1fde1ec0453 ro quiet splash vt.handoff=7
> SourcePackage: unity
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 11/03/2009
> dmi.bios.vendor: Award Software International, Inc.
> dmi.bios.version: F6
> dmi.board.name: M61PME-S2P
> dmi.board.vendor: Gigabyte Technology Co., Ltd.
> dm...

Read more...

Daniel van Vugt (vanvugt) wrote :

Brian, you are describing a problem different to this bug. Please log a new bug. Thanks...

Brian J. Rohan (brianjrohan) wrote :
Download full text (6.2 KiB)

   Hi Daniel,

I could use some serious help reporting this bug, which I have had for at
least a month now. I have reported this several times, however, each time,
it gets changed as a report as another bug already reported. That bug is
then "fixed", and I still have the same issue. In all probability, I am
simply not reporting the issue correctly. I am relatively new to
Linux/Ubuntu, and while I have a heart to help out, my skills are still
lacking.

Here is my issue, which has become more difficult to report as you will see
why:

I am running a dual boot laptop with Windows Vista and Ubuntu 12.04. When
this first started, I booted my laptop, and was greeted with a black screen
upon the boot finishing. I was able to reboot into the recovery mode, then
select boot normal, and I could log into what I could best figure was Unity
2D? I am not sure, it worked, I had 2 desktops (vs 4), and when I went
into MyUnity it says I am not in 3D mode (which I apparently was in before
because I did not get that error message before).

After a few updates, when booting my computer I was able to see my desktop
background with my icons on it, however nothing else happened. The next
time I updated, same scenario, except I would be asked for my keyring
password, and then receive and error message saying there was no task
panel, the system needs to exit. There was indeed no task panel, and I
could/can not get the launcher to work by pressing the windows key, nor do
any shortcut keys work (ctrl-alt-T for terminal, etc). Now my issues, is
when I log into recovery, I can no longer report bugs. Before I was able to
press Alt-F2, type in approot-bug, which would bring up a menu for bug
reporting which I could work through and viola, bug report submitted
(although apparently I was giving misinformation). Now when I try to use
approot-bug, I get the menu asking me what kind of issue to report (X,
storage, other etc.), no matter which I select, the error collecting
progress bar appears, then hangs, after 15 minutes or so I give up, cancel
out, and reboot into recovery.

What are your suggestions?

Thank you for taking the time to read, and help me out.

On Fri, Apr 6, 2012 at 12:22 AM, Daniel van Vugt
<email address hidden>wrote:

> Brian, you are describing a problem different to this bug. Please log a
> new bug. Thanks...
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (969289).
> https://bugs.launchpad.net/bugs/963633
>
> Title:
> Unity 5.8: Login to blank screen (all black or just wallpaper)
>
> Status in Compiz:
> Won't Fix
> Status in Compiz Core:
> Fix Released
> Status in Unity Distro Priority:
> Fix Committed
> Status in “compiz” package in Ubuntu:
> Fix Released
> Status in “unity” package in Ubuntu:
> Invalid
> Status in “compiz” source package in Precise:
> Fix Released
> Status in “unity” source package in Precise:
> Invalid
>
> Bug description:
> WORKAROUND/FIX:
> unity --reset
>
> TEST CASE:
> Edit ~/.gconf/apps/compiz-1/general/screen0/options/%gconf.xml and add an
> entry AFTER composite and BEFORE opengl for a dummy plugin name that does
> not exist. Log out and in again.
>
> ...

Read more...

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/963633

tags: added: iso-testing
Daniel van Vugt (vanvugt) wrote :

Brian, I have reopened your bug 969289 so that it can be re-examined.

Didier Roche (didrocks) on 2012-04-17
Changed in unity-distro-priority:
status: Fix Committed → Fix Released
Pavlo Bohmat (bohm) wrote :

how to remove all the settings in the profile of unity, compiz, metacity etc? "excellent" release: (
Guest mode unity3d start. How to get a unity, without unity or compiz - replace?

Pavlo Bohmat (bohm) wrote :

When upgrading a system to profile the problem! Preferences ~/.gconf and ~/.config changed, but Unity is not taught this "difficult" case. In my case the problem in ~/.config/?, only after removal of Unity has started...

backup/remove:
.cache
.compiz
.compiz-1
.gconf
.config
.gnome2
.gnome2_private

Achilles12 (cvg1-cool-man) wrote :

The unity is not starting
I dont know what to do????
I am currently runnign Xubuntu

Achilies12 are you using the unity desktop environment or are you using XFCE desktop (which is the default for Xubuntu)?

You can reset unity easily by logging into another console (ctrl-alt f1) and typing the following:

DISPLAY=$DISPLAY:0
export DISPLAY
unity --reset

then switch back (ctrl-alt f7). It might take a minute for the reset to complete. Hopefully that should work.

Download full text (4.9 KiB)

At the moment I am using xubuntu desktop. I also have unity environment but I just a blank screen when I log into it. I have tried reinstalling unity desktop. I think I have messed with CCSM & this has broken unity. Now I don't know what to do? Thanks for any kind of help
Sent on my BlackBerry® from Vodafone

-----Original Message-----
From: Blair Chasteen <email address hidden>
Sender: <email address hidden>
Date: Sat, 11 Aug 2012 19:16:41
To: <email address hidden>
Reply-To: Bug 963633 <email address hidden>
Subject: [Bug 963633] Re: Unity 5.8: Login to blank screen (all black or just
 wallpaper)

Achilies12 are you using the unity desktop environment or are you using
XFCE desktop (which is the default for Xubuntu)?

You can reset unity easily by logging into another console (ctrl-alt f1)
and typing the following:

DISPLAY=$DISPLAY:0
export DISPLAY
unity --reset

then switch back (ctrl-alt f7). It might take a minute for the reset to
complete. Hopefully that should work.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/963633

Title:
  Unity 5.8: Login to blank screen (all black or just wallpaper)

Status in Compiz:
  Won't Fix
Status in Compiz Core:
  Fix Released
Status in Unity Distro Priority:
  Fix Released
Status in “compiz” package in Ubuntu:
  Fix Released
Status in “unity” package in Ubuntu:
  Invalid
Status in “compiz” source package in Precise:
  Fix Released
Status in “unity” source package in Precise:
  Invalid

Bug description:
  WORKAROUND/FIX:
  unity --reset

  TEST CASE:
  Edit ~/.gconf/apps/compiz-1/general/screen0/options/%gconf.xml and add an entry AFTER composite and BEFORE opengl for a dummy plugin name that does not exist. Log out and in again.

  ORIGINAL DESCRIPTION:
  After the update earlier today to Unity 5.8, I've found that when I try logging into Unity 3D, all I get is a solid black screen and my mouse cursor. I know it loaded some sort of desktop though, since I could still hit Ctrl+Alt+T and blindly type `sudo reboot` followed by my password to make my computer do a normal reboot.

  I do not get the same problem with GNOME Shell or Unity 2D (the latter
  of which I'm using now to report this bug), although for both the
  screen does temporarily turn black but only for a moment. Unity 5.6 3D
  used to work perfectly fine for me.

  ProblemType: Bug
  DistroRelease: Ubuntu 12.04
  Package: unity 5.8.0-0ubuntu1
  ProcVersionSignature: Ubuntu 3.2.0-20.32-generic 3.2.12
  Uname: Linux 3.2.0-20-generic x86_64
  .tmp.unity.support.test.0:

  ApportVersion: 1.95-0ubuntu1
  Architecture: amd64
  CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,imgpng,move,vpswitch,mousepoll,resize,snap,wall,grid,place,gnomecompat,regex,session,animation,expo,workarounds,fade,ezoom,scale,unityshell]
  CompositorRunning: None
  Date: Fri Mar 23 22:47:44 2012
  DistUpgraded: Fresh install
  DistroCodename: precise
  DistroVariant: ubuntu
  InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20111129.1)
  MachineType: Gigabyte Techn...

Read more...

try this. follow the same steps to either open a terminal from your black screen (ctrl-alt T) or switch to a new console (ctrl-alt F1) then type the following to reset compiz

gconftool-2 -recursive-unset /apps/compiz-1
unity --reset

if that does not work try

cd ~; rm -rf .gnome .gnome2 .gconf .metacity .compiz-1 .config/compiz-1 .config/dconf

either of those steps should reset compiz to default settings.

Download full text (4.6 KiB)

Dear Blaire,
I did the steps you told and the reset worked fine and I got unity back
Many many thanks.....
Ubuntu forums rock!!! Ubuntu forums thank you very much!!

On Sun, Aug 12, 2012 at 8:50 AM, Blair Chasteen
<email address hidden>wrote:

> try this. follow the same steps to either open a terminal from your
> black screen (ctrl-alt T) or switch to a new console (ctrl-alt F1) then
> type the following to reset compiz
>
> gconftool-2 -recursive-unset /apps/compiz-1
> unity --reset
>
> if that does not work try
>
> cd ~; rm -rf .gnome .gnome2 .gconf .metacity .compiz-1 .config/compiz-1
> .config/dconf
>
> either of those steps should reset compiz to default settings.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/963633
>
> Title:
> Unity 5.8: Login to blank screen (all black or just wallpaper)
>
> Status in Compiz:
> Won't Fix
> Status in Compiz Core:
> Fix Released
> Status in Unity Distro Priority:
> Fix Released
> Status in “compiz” package in Ubuntu:
> Fix Released
> Status in “unity” package in Ubuntu:
> Invalid
> Status in “compiz” source package in Precise:
> Fix Released
> Status in “unity” source package in Precise:
> Invalid
>
> Bug description:
> WORKAROUND/FIX:
> unity --reset
>
> TEST CASE:
> Edit ~/.gconf/apps/compiz-1/general/screen0/options/%gconf.xml and add
> an entry AFTER composite and BEFORE opengl for a dummy plugin name that
> does not exist. Log out and in again.
>
> ORIGINAL DESCRIPTION:
> After the update earlier today to Unity 5.8, I've found that when I try
> logging into Unity 3D, all I get is a solid black screen and my mouse
> cursor. I know it loaded some sort of desktop though, since I could still
> hit Ctrl+Alt+T and blindly type `sudo reboot` followed by my password to
> make my computer do a normal reboot.
>
> I do not get the same problem with GNOME Shell or Unity 2D (the latter
> of which I'm using now to report this bug), although for both the
> screen does temporarily turn black but only for a moment. Unity 5.6 3D
> used to work perfectly fine for me.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: unity 5.8.0-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-20.32-generic 3.2.12
> Uname: Linux 3.2.0-20-generic x86_64
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.95-0ubuntu1
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,compiztoolbox,decor,imgpng,move,vpswitch,mousepoll,resize,snap,wall,grid,place,gnomecompat,regex,session,animation,expo,workarounds,fade,ezoom,scale,unityshell]
> CompositorRunning: None
> Date: Fri Mar 23 22:47:44 2012
> DistUpgraded: Fresh install
> DistroCodename: precise
> DistroVariant: ubuntu
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64
> (20111129.1)
> MachineType: Gigabyte Technology Co., Ltd. M61PME-S2P
> ProcEnviron:
> TERM=xterm
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-20-generic
> root=UUID=2d55fd3e-d932-47b9-abd6-a1fde1ec0453 ro quiet splash vt.handoff=7
> SourcePackage: unity
> Upgrad...

Read more...

Daniel van Vugt (vanvugt) wrote :

This bug is Fix Released.

If you continue to experience problems, please log a new bug using the "ubuntu-bug" command.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.